Skip to main content
GET
/
alpha
/
borrow
/
morpho
/
transactions
/
{action}
/
{userAddress}
/
{network}
/
{marketId}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/morpho/transactions/{action}/{userAddress}/{network}/{marketId} \
  --header 'x-api-key: <api-key>'
{
  "currentActionIndex": 123,
  "actions": [
    {
      "name": "<string>",
      "tx": {
        "to": "<string>",
        "chainId": 1,
        "data": "<string>",
        "value": "<string>"
      },
      "simulation": {
        "url": "<string>",
        "status": "success",
        "tokensReceived": {},
        "tokensSpent": {}
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

action
enum<string>
required

Action to be performed on Morpho

Available options:
supply,
withdraw,
borrow,
repay
userAddress
string
required
network
enum<string>
required

Network to perform the action on

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
marketId
string
required

Market ID (uniqueKey) for the Morpho market

Query Parameters

simulate
boolean
default:false

Simulate the transaction

amount
string

Amount to transact (in token units)

all
boolean

Only applicable for withdraw/repay action. If true, all assets will be withdrawn/repaid

Response

Default Response

currentActionIndex
number
required
actions
object[]
required